---
- name: Set default facts for K8S
  ansible.builtin.set_fact:
    k8s_config: "{{ K8S_KUBECONFIG_PATH }}/{{ inv_op_stack.ns_kubeconfig }}"
    k8s_context: "{{ inv_k8s.config.context }}"
    k8s_namespace: "{{ inv_op_stack.minio_operator.ns_name }}"

- name: "[Helm] Create the Min.IO Installation"
  include_tasks: ansible-templates/k8s_tasks/k8s-helm.yml
  vars:
    helm_repo_name: "{{ op_minio_operator.helm_repo_name }}"
    helm_repo_url: "{{ op_minio_operator.helm_repo_url }}"
    helm_chart_name: "{{ op_minio_operator.helm_chart_name }}"
    helm_release_name: "{{ op_minio_operator.helm_release_name }}"
    helm_chart_version: "{{ op_minio_operator.helm_chart_version }}"
    helm_chart_reference: "{{ helm_repo_name }}/{{ helm_chart_name }}"
    helm_values_file: "02_minio_operator/minio-operator-values.yaml.j2"
    helm_create_namespace: "{{ inv_op_stack.ns_create }}"
